org.eclipse.wst.jsdt.core

## Interface IJarEntryResource

    public interface IJarEntryResource

A jar entry corresponding to a non-Java resource in an archive `IPackageFragment` or `IPackageFragmentRoot`.

One can navigate the non-Java resource tree using the `getChildren()` and `getParent()` methods. Jar entry resources are either files (`isFile()` returns true) or directories (`isFile()` returns false). Files don't have any children and the returned array is always empty.

Jar entry resources that refer to the same element are guaranteed to be equal, but not necessarily identical.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`IJarEntryResource[]` `getChildren()` Returns the list of children of this jar entry resource.
`IPath` `getFullPath()` Returns the full, absolute path of this jar entry resource relative to the archive this jar entry belongs to.
`IPackageFragmentRoot` `getPackageFragmentRoot()` Returns the package fragment root this jar entry file belongs to.
`java.lang.Object` `getParent()` Returns the parent of this jar entry resource.
`boolean` `isFile()` Returns `true` if this jar entry represents a file.

### Method Detail

#### getChildren

    IJarEntryResource[] getChildren()

Returns the list of children of this jar entry resource. Returns an empty array if this jar entry is a file, or if this jar entry is a directory and it has no children.

Returns:
  the children of this jar entry resource

#### getFullPath

    IPath getFullPath()

Returns the full, absolute path of this jar entry resource relative to the archive this jar entry belongs to.

A jar entry resource's full path indicates the route from the root of the archive to the jar entry resource. Within an archive, there is exactly one such path for any given jar entry resource. The returned path never has a trailing separator.

Returns:
  the absolute path of this jar entry resource

#### getParent

    java.lang.Object getParent()

Returns the parent of this jar entry resource. This is either an `IJarEntryResource`, an `IPackageFragment` or an `IPackageFragmentRoot`.

Returns:
  the parent of this jar entry resource

#### getPackageFragmentRoot

    IPackageFragmentRoot getPackageFragmentRoot()

Returns the package fragment root this jar entry file belongs to.

Returns:
  the package fragment root this jar entry file belongs to.

#### isFile

    boolean isFile()

Returns `true` if this jar entry represents a file. Returns `false` if it is a directory.

Returns:
  whether this jar entry is a file